%define anolis_release 31
Name:           perl-Devel-LexAlias
Version:        0.05
Release:        %{anolis_release}%{?dist}
Summary:        Alias lexical variables
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Devel-LexAlias
Source0:        https://cpan.metacpan.org/authors/id/R/RC/RCLAMP/Devel-LexAlias-%{version}.tar.gz
# Module Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
# Module Runtime
BuildRequires:  perl(Devel::Caller) >= 0.03
BuildRequires:  perl(DynaLoader)
# Test Suite
BuildRequires:  perl(Test::More)
# Dependencies

%{?perl_default_filter}

%description
Devel::LexAlias provides the ability to alias a lexical variable in a
subroutines scope to one of your choosing.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
Buildarch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Devel-LexAlias-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%check
make test

%files
%{perl_vendorarch}/auto/Devel/
%{perl_vendorarch}/Devel/
%{_mandir}/man3/Devel::LexAlias.3*

%files doc
%doc Changes

%changelog
* Fri Feb 10 2023 Funda Wang <fundawang@yeah.net> - 0.05-31
- Import package for anolis 23
